import { Canvas, CanvasView } from '@nativescript-community/ui-canvas';
import { Style } from '@nativescript/core';
declare abstract class HTMLCanvasViewBase extends CanvasView {
    private _mStyle;
    private readonly _nativeContextRef;
    private _lastCanvas;
    private _offscreenContext;
    private _context2D;
    private _isControlledByOffscreen;
    constructor();
    getContext(contextId: '2d', contextAttributes?: any): CanvasRenderingContext2D | null;
    getContext(contextId: 'bitmaprenderer', contextAttributes?: any): ImageBitmapRenderingContext | null;
    enableOffscreenBuffer(): void;
    disableOffscreenBuffer(): void;
    isOffscreenBufferEnabled(): boolean;
    drawOffscreenBuffer(): void;
    transferControlToOffscreen(): OffscreenCanvas;
    toDataURL(type?: string, encoderOptions?: number): string;
    get nativeContext(): Canvas;
    onDraw(canvas: Canvas): void;
    get style(): Style;
    set style(val: Style);
}
export { HTMLCanvasViewBase };
